<?php
require_once __DIR__ . '/../../../init.php';
require_once __DIR__ . '/../../../includes/gatewayfunctions.php';
require_once __DIR__ . '/../../../includes/invoicefunctions.php';
require_once __DIR__.'/vendor/autoload.php';
use WHMCS\Billing\Invoice;
use WHMCS\Billing\Payment\Transaction;
use Forgingblock\ApiClient;

    
$fb_name = 'forgingblock';

    
$gatewayParams  = getGatewayVariables($fb_name);
$fb_invoice_id =  $_SESSION['fb_id'];

$trade = $gatewayParams['trade'];
$token = $gatewayParams['token'];
$testMode = $gatewayParams['testMode'];
if ($testMode == 'on') $payment_mode = 'test';
else $payment_mode = 'live';



$forgingblock = new ApiClient($payment_mode);
$forgingblock->SetValue('trade',  $trade);
$forgingblock->SetValue('token', $token);
$forgingblock->SetValue('invoice', $fb_invoice_id);


$payres =  $forgingblock->CheckInvoiceStatus();

	
$trans_no = $fb_invoice_id;
$invoice_id = $payres['order'];

		
$payment_status = $forgingblock->GetInvoiceStatus();

$dubplatetr = false;  

$transAr = Transaction::where('gateway', $fb_name)->where('transid', $trans_no)->get();

foreach ($transAr as $trans) {	
  $dubplatetr = true;  
}
$fee = 0;
$invoice = WHMCS\Billing\Invoice::find($invoice_id);
$total = $invoice->total;


if (($payment_status == 'paid') || ($payment_status == 'complete') || ($payment_status == 'confirmed')) {
	if (!$dubplatetr) {
		$transactionStatus = 'Successful';
    	addInvoicePayment(
        	$invoice_id,
        	$trans_no,
        	$total,
        	$fee,
        	$fb_name
    	);
		logTransaction($gatewayParams['name'], $payres, $transactionStatus); 
	}
	header("Location: ../../../viewinvoice.php?id=$invoice_id&status=Success");
}
else
{
	$transactionStatus = 'Failure';
	$errMsg = $transactionStatus.' - '. $payment_status;
	if (!$dubplatetr) {
		
		logTransaction($gatewayParams['name'], $payres,$errMsg);	
	}
	header("Location: ../../../viewinvoice.php?id=$invoice_id&errmsg=$errMsg");
}
exit();	
